# -*- coding: utf-8 -*-

from dojango.forms.models import ModelForm
from ModelChoiceFieldAjax import ModelChoiceFieldAjax
from test.models import Produto, Secao, SubSecao, Preco, ProdutoDetalhe

class PrecoForm(ModelForm):

    produto  = ModelChoiceFieldAjax ( model = Produto , url = None,  child = "id_secao" )
    secao    = ModelChoiceFieldAjax ( model = Secao   , url = "/test/secaoporproduto/" , parent='id_produto', child = "id_subsecao" )
    subsecao = ModelChoiceFieldAjax ( model = SubSecao, url = "/test/subsecaoporsecao/", parent='id_secao' )
    class Meta:
        model   = Preco
        fields  = ['produto', 'secao', 'subsecao', 'valor' ]

class ProdutoDetalheForm(ModelForm):
    class Meta:
        model = ProdutoDetalhe

class ProdutoPrincipalForm(ModelForm):
    ProdutoDetalhe =  ProdutoDetalheForm()
    class Meta:
        model = Produto
